<?xml version="1.0" encoding="UTF-8"?>
<settings>
	<language id="espresso.default.Ruby">
		<syntax-name>language-root.ruby</syntax-name>
		<name>Ruby</name>
		<detectors>
			<extension casesensitive="false">r</extension>
			<extension casesensitive="false">rb</extension>
			<extension casesensitive="false">ruby</extension>
			<extension casesensitive="false">ru</extension>
			<extension casesensitive="false">rake</extension>
			<filename casesensitive="true">Rakefile</filename>
			<match-content lines="1">^#![\w\/ ]*?ruby$</match-content>
		</detectors>
		
		<default-extension>rb</default-extension>
	</language>
	
	<language id="espresso.default.Ruby.template">
		<syntax-name>language-root.html.with-ruby</syntax-name>
		<name>ERB</name>
		<detectors>
			<extension>rhtml</extension>
			<extension>erb</extension>
			<combo>
				<extension>erb</extension>
				<match-content lines="2"><![CDATA[(?i)<!DOCTYPE html]]></match-content>
			</combo>
			<combo>
				<extension>erb</extension>
				<match-content lines="1"><![CDATA[(?i)<html]]></match-content>
			</combo>
		</detectors>
		
		<default-extension>erb</default-extension>
	</language>
</settings>
